Module tdlight.api
Package it.tdlight.jni

# Class TdApi.Location

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Location

Enclosing class:
  TdApi

public static final class TdApi.Location extends TdApi.Object
Describes a location on planet Earth.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`double`
`horizontalAccuracy`
The estimated horizontal accuracy of the location, in meters; as defined by the sender.
`double`
`latitude`
Latitude of the location in degrees; as defined by the sender.
`double`
`longitude`
Longitude of the location, in degrees; as defined by the sender.

## Constructor Summary

Constructors
Constructor
Description
`Location()`
Describes a location on planet Earth.
`Location(double latitude, double longitude, double horizontalAccuracy)`
Describes a location on planet Earth.
`Location(DataInput input)`
Describes a location on planet Earth.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### latitude

public double latitude
Latitude of the location in degrees; as defined by the sender.

### longitude

public double longitude
Longitude of the location, in degrees; as defined by the sender.

### horizontalAccuracy

public double horizontalAccuracy
The estimated horizontal accuracy of the location, in meters; as defined by the sender. 0 if unknown.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### Location

public Location()
Describes a location on planet Earth.

### Location

public Location(double latitude, double longitude, double horizontalAccuracy)
Describes a location on planet Earth.

Parameters:
  `latitude` - double Latitude of the location in degrees; as defined by the sender.
  `longitude` - double Longitude of the location, in degrees; as defined by the sender.
  `horizontalAccuracy` - double The estimated horizontal accuracy of the location, in meters; as defined by the sender. 0 if unknown.

### Location

public Location(DataInput input) throws IOException
Describes a location on planet Earth.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`